%define name linkchecker
%define version 4.7
%define release %mkrel 3

Summary: Check HTML documents for broken links
Name: %{name}
Version: %{version}
Release: %{release}
Url: http://linkchecker.sourceforge.net
Source0: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2
License: GPL
Group: Networking/WWW
BuildRequires: python-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts: man-pages-fr < 1.58.0-17mdk

%description
 Features:
  o recursive checking
  o multithreaded
  o output can be colored or normal text, HTML, SQL, CSV or a sitemap
    graph in GML or XML
  o HTTP/1.1, FTP, mailto:, nntp:, news:, Gopher, Telnet and local 
    file links are supported
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o give username/password for HTTP and FTP authorization
  o robots.txt exclusion protocol support 
  o i18n support
  o command line interface
  o (Fast)CGI web interface (requires HTTP server)

%prep
%setup -q

find -type f | xargs chmod a+r 
find -type f | xargs perl -pi -e 's|python2\.4|python|g'

%build
python setup.py config #-lcrypto
python setup.py build
make locale PYTHON=python

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=%{buildroot}

install -d %{buildroot}/etc
mv %{buildroot}/usr/share/linkchecker/linkcheckerrc %{buildroot}/etc

# as in debian/rules, why??
rm -rf %{buildroot}%{_libdir}/python*/site-packages/linkcheckssl

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README TODO
%config(noreplace) /etc/*
%{_bindir}/*
%{_libdir}/python*/site-packages/*
%{_mandir}/*/*
%_datadir/%name




%changelog
* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.7-3mdv2009.0
+ Revision: 250802
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 4.7-1mdv2008.1
+ Revision: 136572
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 10 2007 Pixel <pixel@mandriva.com> 4.7-1mdv2008.0
+ Revision: 61052
- new release


* Thu Jan 25 2007 Pixel <pixel@mandriva.com> 4.6-3mdv2007.0
+ Revision: 113091
- replace python2.4 occurences with python (this fixes upgrade to python2.5)

* Thu Jan 18 2007 Pixel <pixel@mandriva.com> 4.6-2mdv2007.1
+ Revision: 110073
- rebuild for new python

* Tue Jan 16 2007 Lenny Cartier <lenny@mandriva.com> 4.6-1mdv2007.1
+ Revision: 109423
- Update to 4.6
- Import linkchecker

* Mon Jun 19 2006 Emmanuel Andry <eandry@mandriva.org> 4.1-1mdv2007.0
- 4.1

* Wed May 24 2006 Lenny Cartier <lenny@mandriva.com> 4.0-1mdk
- 4.0

* Mon Feb 06 2006 Lenny Cartier <lenny@mandriva.com> 3.4-1mdk
- 3.4

* Wed Jul 20 2005 Lenny Cartier <lenny@mandriva.com> 3.1-1mdk
- 3.1

* Tue Apr 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.8-1mdk
- 2.8

* Tue Apr 05 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.7-1mdk
- 2.7

* Mon Mar 07 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.5-1mdk
- 2.5

* Wed Feb 09 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.4-1mdk
- 2.4

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.3-2mdk
- smooth upgrade

* Sun Feb 06 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.3-1mdk
- 2.3

* Tue Jan 25 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.2-1mdk
- 2.2

* Wed Jan 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.1-1mdk
- 2.1

* Wed Dec 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0-1mdk
- 2.0

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.13.5-2mdk
- Rebuild for new python

* Fri Sep 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.13.5-1mdk
- 1.13.5

* Fri Sep 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.13.0-1mdk
- 1.13.0

* Sat May 15 2004 Michael Scherer <misc@mandrake.org> 1.12.2-1mdk
- New release 1.12.2
- rpmbuildupdate aware

